[Magisk/Module] Enable NFC-SIM Function On OnePlus 8 Pro [2020/06/12]

timlu85

Member
Aug 25, 2013
44
19
38
Taoyuan
Hi All, just share an easy module to enable nfc-sim on 8 pro, hope can help someone NEED IT.

I will not answer about "what is NFC-SIM" question, PLEASE DO SOME RESEARCH!
Requirements
  • NFC-SIM (already activated)
  • Oneplus 8 Pro
  • OxygenOS 10
  • Magisk 19+
※May work on another ONEPLUS devices, you can try it and leave a comment ((I'm not responsible for bricked devices)) !! ※

Instruction
  1. Flash The Module via Magisk and Reboot.
  2. Re-Enable NFC Toggle. (make sure system reload the config)
Already Tested
  • Stock Stable OOS 10.5.10
  • CHT NFC-SIM Card
  • EasyCard
  • Bus、MRT、Train
  • Convenience Store POS and Kiosk
Issue
- None
Daily Use (2020/06/12)


Changelog
  • v0.3
    -> First Release
Source Code
Github Repo

Credits
@topjohnwu Awesome Magisk !
@steven71508 Helping me to test the module
 
Last edited:

yyuuping

New member
Mar 14, 2016
3
0
0
very thanks and how about it use for oneplus 7 pro?

very thanks and how about it use for oneplus 7 pro?
i really really want it so much
 

timlu85

Member
Aug 25, 2013
44
19
38
Taoyuan
very thanks and how about it use for oneplus 7 pro?
i really really want it so much
Hi,
First of all, 8 Pro has been use new NXP NFC Chip SN100 different as 7 Pro PN533.
Second, 7 Pro、7T、7T Pro have different design otherwise my 6T module it should work and I don't have those phone so development progress slowly, please understand thx.
 

yyuuping

New member
Mar 14, 2016
3
0
0
Very thanks your reply and i hope u can help me

If can ,i also can pay .
Pls and very thank you.
I just really want this function for my life city hongkong.
Thanks again.
 

timlu85

Member
Aug 25, 2013
44
19
38
Taoyuan
i really teally want it pls
Hey, If you really want to help just don't keep asking about the progress
According to my research and surmise, the API that triggered NFC-SIM was moved to the app they call "公交卡" (app package name: cn.oneplus.wallet), so if you want to try you can download my "6T NFC-SIM Magisk Module" and "APP", the APP need to set default as your payment settings, maybe it will work.
 

TheBledard

Member
Oct 27, 2015
34
5
0
Hi,
It uses Magisk so the phone needs to be rooted, or at least BL Unlocked right?

I need it for ViaNAVIGO (Ticket purchase for Parisian transports) but I’m afraid that rooting/BL unlocking disables Google Pay and banking apps... :(
 
Last edited:
  • Like
Reactions: Neil_Armstrong_

Neil_Armstrong_

Senior Member
Jan 23, 2014
487
100
73
Nantes
Hi,
It uses Magisk so the phone needs to be rooted, or at least BL Unlocked right?

I need it for ViaNAVIGO (Ticket purchase for Parisian transports) but I’m afraid that rooting/BL unlocking disables Google Pay and banking apps... :(
Maybe you can use Magisk Hide Props or simply Magisk Hide if you have troubles with some apps
 

Tian Ya Feng Hao Da

New member
May 15, 2019
3
0
0
That's great, thank you very much, no matter whether it succeeds in the end or not!NFC-SIM can be used in Android 8.1 and below before, but it will not be available after upgrading to Android 9.0 and above